package logger

import (
	"fmt"

	"git.ex.umbach.dev/Alex/roese-utils/rslogger"
	"github.com/gofiber/fiber/v2"
)

func AddSystemLog(logType string, format string, v ...any) {
	go rslogger.LogManagerRequestClient(fiber.MethodPost, rslogger.LogManagerRequestBody{
		Type: "telegram-bot",
		Logs: []string{logType + rslogger.GetTime() + fmt.Sprintf(format, v...)}})
}
